require_relative "project_type"
require_relative "generic_type"

module Devops
  class TypesFactory

    def self.type type
      t = ProjectType.types
      t[type].new
    end

    def self.types_names
      ProjectType.types.keys
    end
  end
end
